#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    iostream::sync_with_stdio(false);
    int brKom, milos;
    cin>>brKom>>milos;
    int a[brKom], levoOdMilosa=0, desnoOdMilosa=0, vreme=0, najdaljiDesno, najdaljiLevo;

    //Umesto sortiranja
    cin>>a[0];
    najdaljiDesno=a[0];
    najdaljiLevo=a[0];
    for(int i=1; i<brKom; ++i)
    {
        cin>>a[i];
        if(a[i]>milos)
            ++desnoOdMilosa;
        else
            ++levoOdMilosa;

        if(a[i]>najdaljiDesno)
            najdaljiDesno=a[i];
        if(a[i]<najdaljiLevo)
            najdaljiLevo=a[i];
    }
    //cout<<"Desno od njega: "<<desnoOdMilosa<<" Levo od njega: "<<levoOdMilosa<<"\n";

    //sort(a, a+brKom);

    if(levoOdMilosa>desnoOdMilosa)
    {
  /*      if(a[brKom-1]>milos) //Idi do kraja desnih pa nazad
            vreme+=(a[brKom-1]-milos)*2;
        vreme+=milos-a[0]; //Idi do kraja levih
*/
        if(najdaljiDesno>milos)
            vreme+=(najdaljiDesno-milos)*2;
        vreme+=milos-najdaljiLevo;
    }
    else
    {
       /* if(a[0]<milos) //Idi do kraja levih, pa nazad
            vreme+=(milos-a[0])*2;

        vreme+=a[brKom-1]-milos; //Idi do kraja desnih
*/
        if(najdaljiLevo<milos)
            vreme+=(milos-najdaljiLevo)*2;
        vreme+=najdaljiDesno-milos;
    }
    cout<<vreme<<"\n";
    return 0;
}